* [gentoo-commits] repo/gentoo:master commit in: app-text/multitail/files/, app-text/multitail/
@ 2025-03-11 1:08 Sam James
0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2025-03-11 1:08 UTC (permalink / raw
To: gentoo-commits
commit: 566af738adf0752304aa98338613fb1e2613e0bf
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 11 01:06:09 2025 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Mar 11 01:07:55 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=566af738
app-text/multitail: fix modern C issue, fix CMake
* Fix modern C issue (ncurses)
* Use GNUInstallDirs
Bug: https://bugs.gentoo.org/874102
Closes: https://bugs.gentoo.org/945647
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../multitail-7.1.5-cmake-gnuinstalldirs.patch | 37 ++++++++++++++++++
.../multitail/files/multitail-7.1.5-ncurses.patch | 44 ++++++++++++++++++++++
...tail-7.1.5.ebuild => multitail-7.1.5-r1.ebuild} | 16 ++++----
3 files changed, 90 insertions(+), 7 deletions(-)
diff --git a/app-text/multitail/files/multitail-7.1.5-cmake-gnuinstalldirs.patch b/app-text/multitail/files/multitail-7.1.5-cmake-gnuinstalldirs.patch
new file mode 100644
index 000000000000..936ad9eaec04
--- /dev/null
+++ b/app-text/multitail/files/multitail-7.1.5-cmake-gnuinstalldirs.patch
@@ -0,0 +1,37 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 22d41c1..ee50976 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1,4 +1,5 @@
+ cmake_minimum_required(VERSION 3.6)
++include(GNUInstallDirs)
+
+ ## use ccache if found
+ find_program(CCACHE_EXECUTABLE "ccache" HINTS /usr/local/bin /opt/local/bin)
+@@ -183,18 +183,18 @@ set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
+
+
+ # install the bin
+-install(TARGETS multitail DESTINATION bin)
++install(TARGETS multitail DESTINATION ${CMAKE_INSTALL_BINDIR})
+ # install the config file
+-install(FILES multitail.conf DESTINATION etc RENAME multitail.conf.new)
++install(FILES multitail.conf DESTINATION ${CMAKE_INSTALL_SYSCONFDIR})
+ # install the manual files
+-install(FILES multitail.1 DESTINATION share/man/man1)
++install(FILES multitail.1 DESTINATION ${CMAKE_INSTALL_MANDIR})
+ # install doc files
+-install(FILES manual.html DESTINATION share/doc/multitail-${VERSION})
+-install(FILES LICENSE DESTINATION share/doc/multitail-${VERSION})
+-install(FILES README.md DESTINATION share/doc/multitail-${VERSION})
+-install(FILES thanks.txt DESTINATION share/doc/multitail-${VERSION})
++install(FILES manual.html DESTINATION ${CMAKE_INSTALL_DOCDIR})
++install(FILES LICENSE DESTINATION ${CMAKE_INSTALL_DOCDIR})
++install(FILES README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
++install(FILES thanks.txt DESTINATION ${CMAKE_INSTALL_DOCDIR})
+ # cp conversion-scripts/* etc/multitail/
+-install(DIRECTORY conversion-scripts DESTINATION etc/multitail)
++install(DIRECTORY conversion-scripts DESTINATION ${CMAKE_INSTALL_SYSCONFDIR})
+
+
+ if(USE_CPPCHECK)
diff --git a/app-text/multitail/files/multitail-7.1.5-ncurses.patch b/app-text/multitail/files/multitail-7.1.5-ncurses.patch
new file mode 100644
index 000000000000..ae4f7f150592
--- /dev/null
+++ b/app-text/multitail/files/multitail-7.1.5-ncurses.patch
@@ -0,0 +1,44 @@
+https://bugs.gentoo.org/945647
+https://github.com/folkertvanheusden/multitail/pull/44
+
+From 4ebc884f2276a63c81532deb2e4a068b330d71aa Mon Sep 17 00:00:00 2001
+From: madjic <madjic@madjic.de>
+Date: Thu, 12 Dec 2024 23:31:09 +0100
+Subject: [PATCH] fix implicit function declaration for waddnwstr in linux
+
+---
+ mt.c | 2 --
+ mt.h | 4 ++--
+ 2 files changed, 2 insertions(+), 4 deletions(-)
+
+diff --git a/mt.c b/mt.c
+index 39a5c17..a97acad 100644
+--- a/mt.c
++++ b/mt.c
+@@ -707,8 +707,6 @@ void do_color_print(proginfo *cur, char *use_string, int prt_start, int prt_end,
+ if (!is_control_or_extended_ascii)
+ {
+ #if defined(UTF8_SUPPORT) && defined(NCURSES_WIDECHAR)
+-// FIXME warning: implicit declaration of function ‘waddnwstr’ is invalid in C99 [-Wimplicit-function-declaration]
+-// see /usr/include/ncurses.h
+ waddnwstr(win -> win, &wcur, 1);
+ #else
+ wprintw(win -> win, "%c", wcur);
+diff --git a/mt.h b/mt.h
+index f6c37a0..2f401eb 100644
+--- a/mt.h
++++ b/mt.h
+@@ -60,10 +60,10 @@ typedef enum { SCHEME_TYPE_EDIT = 0, SCHEME_TYPE_FILTER } filter_edit_scheme_t;
+ #endif
+
+ #if defined(UTF8_SUPPORT) && !defined(__APPLE__)
+- #if defined(__FreeBSD__) || defined (__linux__)
++ #if defined(__FreeBSD__)
+ #include <panel.h>
+ #include <curses.h>
+- #else
++ #else /* if defined (__linux__) */
+ #include <ncursesw/panel.h>
+ #include <ncursesw/ncurses.h>
+ #endif
+
diff --git a/app-text/multitail/multitail-7.1.5.ebuild b/app-text/multitail/multitail-7.1.5-r1.ebuild
similarity index 81%
rename from app-text/multitail/multitail-7.1.5.ebuild
rename to app-text/multitail/multitail-7.1.5-r1.ebuild
index be9322af7832..00ac29ba15f9 100644
--- a/app-text/multitail/multitail-7.1.5.ebuild
+++ b/app-text/multitail/multitail-7.1.5-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,16 +20,24 @@ BDEPEND="virtual/pkgconfig"
PATCHES=(
"${FILESDIR}"/${PN}-7.0.0-gentoo.patch
+ "${FILESDIR}"/${PN}-7.1.5-ncurses.patch
+ "${FILESDIR}"/${PN}-7.1.5-cmake-gnuinstalldirs.patch
)
src_prepare() {
+ # Don't clobber toolchain defaults
+ sed -i -e '/-D_FORTIFY_SOURCE=2/d' CMakeLists.txt || die
+
cmake_src_prepare
+
# cmake looks for licence.txt to install it, which does not exist in the package
cp LICENSE license.txt || die
}
src_configure() {
local mycmakeargs=(
+ -DCMAKE_INSTALL_SYSCONFDIR="${EPREFIX}/etc"
+ -DUSE_CPPCHECK=OFF
-DUTF8_SUPPORT=$(usex unicode)
)
CMAKE_BUILD_TYPE=$(usex debug Debug)
@@ -40,12 +48,6 @@ src_configure() {
src_install() {
cmake_src_install
- insinto /etc
- doins multitail.conf
-
- rm -rf "${ED}"/usr/{ect,etc} || die
- rm -rf "${ED}"/usr/share/doc/multitail-VERSION=${PV} || die
-
local DOCS=( README.md thanks.txt )
local HTML_DOCS=( manual.html )
einstalldocs
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/multitail/files/, app-text/multitail/
@ 2022-11-22 7:05 Sam James
0 siblings, 0 replies; 3+ messages in thread
From: Sam James @ 2022-11-22 7:05 UTC (permalink / raw
To: gentoo-commits
commit: 0bf5477633a6a83e1d90666fad2187a1dc608eea
Author: Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Tue Nov 1 15:36:10 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Nov 22 06:49:03 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0bf54776
app-text/multitail: version bump to 7.0.0
- fix build for clang16
- fix build for LTO's -Werror=lto-type-mismatch
Closes: https://bugs.gentoo.org/874102
Closes: https://bugs.gentoo.org/855017
Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
Closes: https://github.com/gentoo/gentoo/pull/28089
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-text/multitail/Manifest | 1 +
.../files/multitail-7.0.0-fix-clang16-build.patch | 34 ++++++++++++
.../multitail-7.0.0-fix-lto-type-mismatch.patch | 29 ++++++++++
.../multitail/files/multitail-7.0.0-gentoo.patch | 32 +++++++++++
app-text/multitail/multitail-7.0.0.ebuild | 63 ++++++++++++++++++++++
5 files changed, 159 insertions(+)
diff --git a/app-text/multitail/Manifest b/app-text/multitail/Manifest
index 3b7bdb9651a2..d4f71baea304 100644
--- a/app-text/multitail/Manifest
+++ b/app-text/multitail/Manifest
@@ -1 +1,2 @@
DIST multitail-6.4.2.tgz 155757 BLAKE2B aba6fea993e0d91071bddcf6d06767773ad6ea6054436dbd8a7163553b1cdfc03040362b87e9b2d31f8fe2165f213c718904f9295d3ab2076707cabf423ae681 SHA512 668c453372ba1e4013aa5191c697bdcaad82c84732841c120a506bee063d2134941e93aed63f96e5aeeb6045829a13aba012f9514dbd9520ab4f1b9b75b42dbd
+DIST multitail-7.0.0.tar.gz 152425 BLAKE2B 1afbee9501926b860bd063768e6d20b7e6fe97b7ca8eaeb279639f3ef4f32d3c694650e2471abab067add04fbd1ce7b94dfc2f709baca460e9a36a34cb0746d2 SHA512 325abc2ec3e55f274b8f080c54e878ee301af1df5761def95b5fee0abe65cc999a2db0184e1d7a7378c048b1766e03f9553262d3bba88c8fad87c4952d1d59ae
diff --git a/app-text/multitail/files/multitail-7.0.0-fix-clang16-build.patch b/app-text/multitail/files/multitail-7.0.0-fix-clang16-build.patch
new file mode 100644
index 000000000000..1c706e0d0236
--- /dev/null
+++ b/app-text/multitail/files/multitail-7.0.0-fix-clang16-build.patch
@@ -0,0 +1,34 @@
+Clang16 will not suppert implicit int and implicit function declarations.
+This patch makes the source code ready for clang16.
+See also: https://bugs.gentoo.org/870412
+
+Bug: https://bugs.gentoo.org/874102
+
+This patch is already merged upstream, see: https://github.com/folkertvanheusden/multitail/pull/10
+
+Signed-off-by: Pascal Jäger <pascal.jaeger@leimstift.de>
+
+--- a/misc.c
++++ b/misc.c
+@@ -477,7 +477,7 @@ void heartbeat(void)
+ mydoupdate();
+ }
+
+-void do_check_for_mail()
++void do_check_for_mail(dtime_t time)
+ {
+ if (check_for_mail > 0 && mail_spool_file != NULL)
+ {
+diff --git a/misc.h b/misc.h
+index febf11a..5566519 100644
+--- a/misc.h
++++ b/misc.h
+@@ -1,5 +1,7 @@
++#import "mt.h"
++
+ void info(void);
+ void statistics_menu(void);
+ void heartbeat(void);
+-void do_check_for_mail();
++void do_check_for_mail(dtime_t time);
+ void store_statistics(proginfo *cur, dtime_t now);
diff --git a/app-text/multitail/files/multitail-7.0.0-fix-lto-type-mismatch.patch b/app-text/multitail/files/multitail-7.0.0-fix-lto-type-mismatch.patch
new file mode 100644
index 000000000000..6ad621dd540e
--- /dev/null
+++ b/app-text/multitail/files/multitail-7.0.0-fix-lto-type-mismatch.patch
@@ -0,0 +1,29 @@
+Fix mismatching declarations so build does not fail with -Werror=lto-type-mismatch
+
+Bug: https://bugs.gentoo.org/855017
+
+This patch is already merged upstream, see: https://github.com/folkertvanheusden/multitail/pull/10
+
+Signed-off-by: Pascal Jäger <pascal.jaeger@leimstift.de>
+
+--- a/globals.c
++++ b/globals.c
+@@ -81,7 +81,7 @@ double heartbeat_t = 0.0;
+ off64_t msf_prev_size = 0;
+
+ dtime_t msf_last_check = 0;
+-dtime_t mt_started;
++time_t mt_started;
+
+ pid_t children_list[MAX_N_SPAWNED_PROCESSES];
+ pid_t tail_proc = 0; /* process used by checker-proc */
+--- a/selbox.h
++++ b/selbox.h
+@@ -1,4 +1,6 @@
+-int selection_box(void **list, char *needs_mark, int nlines, char type, int what_help, char *heading);
++#include "mt.h"
++
++int selection_box(void **list, char *needs_mark, int nlines, selbox_type_t type, int what_help, char *heading);
+ int select_window(int what_help, char *heading);
+ proginfo * select_subwindow(int f_index, int what_help, char *heading);
+ char * select_file(char *input, int what_help);
diff --git a/app-text/multitail/files/multitail-7.0.0-gentoo.patch b/app-text/multitail/files/multitail-7.0.0-gentoo.patch
new file mode 100644
index 000000000000..5219334abbe0
--- /dev/null
+++ b/app-text/multitail/files/multitail-7.0.0-gentoo.patch
@@ -0,0 +1,32 @@
+Gentoo splits off tinfo from ncurses, so we need to ask pkg-config here what the user has on the system.
+
+Signed-off-by: Pascal Jäger <pascal.jaeger@leimstift.de>
+
+--- a/Makefile
++++ b/Makefile
+@@ -24,10 +24,10 @@ ifeq ($(PLATFORM),Darwin)
+ LDFLAGS+=-lpanel $(NCURSES_LIB) -lutil -lm
+ else
+ ifeq ($(UTF8_SUPPORT),yes)
+- LDFLAGS+=-lpanelw -lncursesw -lutil -lm
++ LIBS+=$(shell $(PKG_CONFIG) --libs ncursesw panelw) -lutil -lm
+ CPPFLAGS+=-DUTF8_SUPPORT
+ else
+- LDFLAGS+=-lpanel -lncurses -lutil -lm
++ LIBS+=$(shell $(PKG_CONFIG) --libs ncurses panel) -lutil -lm
+ endif
+ endif
+
+@@ -40,10 +40,10 @@ DEPENDS:= $(OBJS:%.o=%.d)
+ all: multitail
+
+ multitail: $(OBJS)
+- $(CC) $(OBJS) $(LDFLAGS) -o multitail
++ $(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(OBJS) -o multitail $(LIBS)
+
+ ccmultitail: $(OBJS)
+- ccmalloc --no-wrapper -Wextra $(CC) $(OBJS) $(LDFLAGS) -o ccmultitail
++ ccmalloc --no-wrapper $(CC) $(CFLAGS) $(LDFLAGS) -Wall -W $(OBJS) -o ccmultitail $(LIBS)
+
+ install: multitail
+ mkdir -p $(DESTDIR)$(PREFIX)/bin
diff --git a/app-text/multitail/multitail-7.0.0.ebuild b/app-text/multitail/multitail-7.0.0.ebuild
new file mode 100644
index 000000000000..63fce453c73e
--- /dev/null
+++ b/app-text/multitail/multitail-7.0.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic optfeature toolchain-funcs
+
+DESCRIPTION="Tail with multiple windows"
+HOMEPAGE="http://www.vanheusden.com/multitail/ https://github.com/folkertvanheusden/multitail/"
+SRC_URI="https://github.com/folkertvanheusden/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug examples unicode"
+
+RDEPEND="sys-libs/ncurses:=[unicode(+)?]"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-7.0.0-gentoo.patch
+ "${FILESDIR}"/${PN}-7.0.0-fix-clang16-build.patch
+ "${FILESDIR}"/${PN}-7.0.0-fix-lto-type-mismatch.patch
+)
+
+src_prepare() {
+ cmake_src_prepare
+ # cmake looks for licence.txt to install it, which does not exist in the package
+ cp LICENSE license.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DUTF8_SUPPORT=$(usex unicode)
+ )
+ CMAKE_BUILD_TYPE=$(usex debug Debug)
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ insinto /etc
+ doins multitail.conf
+
+ rm -rf "${ED}"/usr/{ect,etc} || die
+ rm -rf "${ED}"/usr/share/doc/multitail-VERSION=6.4.3 || die
+
+ DOCS=( readme.txt thanks.txt )
+ HTML_DOCS=( manual.html )
+ einstalldocs
+
+ if use examples; then
+ docinto examples
+ dodoc conversion-scripts/colors-example.{pl,sh} conversion-scripts/convert-{geoip,simple}.pl
+ fi
+}
+
+pkg_postinst() {
+ optfeature "send a buffer to the X clipboard" x11-misc/xclip
+}
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-text/multitail/files/, app-text/multitail/
@ 2015-09-24 11:50 Justin Lecher
0 siblings, 0 replies; 3+ messages in thread
From: Justin Lecher @ 2015-09-24 11:50 UTC (permalink / raw
To: gentoo-commits
commit: 9801fc0d5dd547d3b813f66fcf706a80516f5a7a
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 24 11:16:38 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Thu Sep 24 11:16:38 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9801fc0d
app-text/multitail: Drop old
Package-Manager: portage-2.2.21
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
app-text/multitail/Manifest | 2 -
.../multitail/files/multitail-6.0-as-needed.patch | 36 ------------
.../multitail/files/multitail-6.3-as-needed.patch | 31 ----------
app-text/multitail/multitail-6.2.1.ebuild | 55 ------------------
app-text/multitail/multitail-6.3.ebuild | 67 ----------------------
5 files changed, 191 deletions(-)
diff --git a/app-text/multitail/Manifest b/app-text/multitail/Manifest
index 6652c69..72dc712 100644
--- a/app-text/multitail/Manifest
+++ b/app-text/multitail/Manifest
@@ -1,3 +1 @@
-DIST multitail-6.2.1.tgz 166049 SHA256 1e586cd62c3cdb8089062c9670a6d8588359e2f8030b8b18dbc715ea59d92e11 SHA512 e1515c000c25be6532f590a2d030c44419866994c2744140d124c1b6ac73acf460b3a41ba6e0e8398350c180030eb69d13b537005b0744047d5c5a374b4cb123 WHIRLPOOL a14ec63145f412b21d7c769452c957fda1170daae725113991a8f4c1da19430516b7a27582f183b312a3388a6944beac0de64753684d60cc7255453254c2fd1c
-DIST multitail-6.3.tgz 155410 SHA256 1ba6afc2d0322bc09024664762a2fc7b8055c1d8ceb74acc442c49ccc84b817a SHA512 e16bb8f1db97e24ac917193cfcae77a0933c1d91cbebb8ba3d2f0af3cb9fe3b801b08f5a7b70b6f46c5edb4a251c81d5a8e03ec9599d40857a64f3cfa1f6734f WHIRLPOOL a37443f3ceaaedc1e708503c9cf9df01034a03dcc682406c0d93beb2a5f1c391f1ab0df7762d94fa43af8d155932bf23cd198e8a01b45fd3c5ee5963c62da24f
DIST multitail-6.4.1.tgz 155717 SHA256 8a6baecf3537c791f70645f3613bfea0c91a22040f2531bfe03b6d0cdd112134 SHA512 14d4785df257aaac8b3c1a5de8aa48a0b6c3e7829867e1fbc8d458636ecafcf506e09b12581cf562e1f503218b1729e47e9197f541bede90dc0a4d5e916b1c8b WHIRLPOOL 467d9fd6d089aebe597475d07217baadcb280ea952ae731310365a55046009c808b16657485c037f54dd746e2103f318c3555de04d4e14f2ab2ef19bbc408543
diff --git a/app-text/multitail/files/multitail-6.0-as-needed.patch b/app-text/multitail/files/multitail-6.0-as-needed.patch
deleted file mode 100644
index c78bd79..0000000
--- a/app-text/multitail/files/multitail-6.0-as-needed.patch
+++ /dev/null
@@ -1,36 +0,0 @@
---- a/Makefile
-+++ b/Makefile
-@@ -4,14 +4,15 @@ UTF8_SUPPORT=yes
- DESTDIR=/
- CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
-
--CC=gcc
-+CC?=gcc
-+PKG_CONFIG?=pkg-config
- DEBUG=-g -D_FORTIFY_SOURCE=2 # -D_DEBUG # -pg # -D_DEBUG #-pg -W -pedantic # -pg #-fprofile-arcs
- ifeq ($(UTF8_SUPPORT),yes)
--LDFLAGS+=-lpanelw -lncursesw -lutil -lm $(DEBUG) -rdynamic
--CFLAGS+=-funsigned-char -D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT
-+LIBS+=`$(PKG_CONFIG) --libs ncursesw panelw` -lutil -lm
-+CFLAGS+=-funsigned-char -D`uname` -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT
- else
--LDFLAGS+=-lpanel -lncurses -lutil -lm $(DEBUG) -rdynamic
--CFLAGS+=-funsigned-char -D`uname` -O2 -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
-+LIBS+=`$(PKG_CONFIG) --libs ncurses panel` -lutil -lm
-+CFLAGS+=-funsigned-char -D`uname` -Wall -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
- endif
-
- OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o
-@@ -19,10 +20,10 @@ OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.
- all: multitail
-
- multitail: $(OBJS)
-- $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o multitail
-+ $(CC) $(CFLAGS) $(LDFLAGS) -Wall -W $(OBJS) -o multitail $(LIBS)
-
- multitail_ccmalloc: $(OBJS)
-- ccmalloc --no-wrapper $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail
-+ ccmalloc --no-wrapper $(CC) $(CFLAGS) $(LDFLAGS) -Wall -W $(OBJS) -o ccmultitail $(LIBS)
-
- install: multitail
- cp multitail $(DESTDIR)/usr/bin
diff --git a/app-text/multitail/files/multitail-6.3-as-needed.patch b/app-text/multitail/files/multitail-6.3-as-needed.patch
deleted file mode 100644
index 27b2cfa..0000000
--- a/app-text/multitail/files/multitail-6.3-as-needed.patch
+++ /dev/null
@@ -1,31 +0,0 @@
---- a/Makefile
-+++ b/Makefile
-@@ -8,11 +8,11 @@ CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
- CC?=gcc
- DEBUG=-g -O2 -Wall # -D_DEBUG # -pg # -D_DEBUG #-pg -W -pedantic # -pg #-fprofile-arcs
- ifeq ($(UTF8_SUPPORT),yes)
--LDFLAGS+=-lpanelw -lncursesw -lutil -lm
--CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT -D_FORTIFY_SOURCE=2
-+LIBS+=`$(PKG_CONFIG) --libs ncursesw panelw` -lutil -lm
-+CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\" -DUTF8_SUPPORT
- else
--LDFLAGS+=-lpanel -lncurses -lutil -lm
--CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" -DCONFIG_FILE=\"$(CONFIG_FILE)\" -D_FORTIFY_SOURCE=2
-+LIBS+=`$(PKG_CONFIG) --libs ncurses panel` -lutil -lm
-+CFLAGS+=-funsigned-char -D`uname` -DVERSION=\"$(VERSION)\" $(DEBUG) -DCONFIG_FILE=\"$(CONFIG_FILE)\"
- endif
-
- OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.o stripstring.o color.o misc.o ui.o exec.o diff.o config.o cmdline.o globals.o history.o xclip.o
-@@ -20,10 +20,10 @@ OBJS=utils.o mt.o error.o my_pty.o term.o scrollback.o help.o mem.o cv.o selbox.
- all: multitail
-
- multitail: $(OBJS)
-- $(CC) $(OBJS) $(LDFLAGS) -o multitail
-+ $(CC) $(CFLAGS) $(LDFLAGS) -Wall -W $(OBJS) -o $@ $(LIBS)
-
- multitail_ccmalloc: $(OBJS)
-- ccmalloc --no-wrapper $(CC) -Wall -W $(OBJS) $(LDFLAGS) -o ccmultitail
-+ ccmalloc --no-wrapper $(CC) $(CFLAGS) $(LDFLAGS) -Wall -W $(OBJS) -o $@ $(LIBS)
-
- install: multitail
- mkdir -p $(DESTDIR)$(PREFIX)/bin
diff --git a/app-text/multitail/multitail-6.2.1.ebuild b/app-text/multitail/multitail-6.2.1.ebuild
deleted file mode 100644
index fc8ebcd..0000000
--- a/app-text/multitail/multitail-6.2.1.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="Tail with multiple windows"
-HOMEPAGE="http://www.vanheusden.com/multitail/"
-SRC_URI="http://www.vanheusden.com/multitail/${P}.tgz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 hppa ia64 ppc sparc x86 ~x86-interix ~amd64-linux ~x86-linux"
-IUSE="debug examples unicode"
-
-RDEPEND="sys-libs/ncurses:0=[unicode?]"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-RESTRICT="test" # bug #492270
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-6.0-as-needed.patch
-
- sed \
- -e '/gcc/d' \
- -e '/scan-build/d' \
- -e 's:make clean::g' \
- -e "/^DESTDIR/s:=.*$:=${EROOT}:g" \
- -i Makefile || die
-
- tc-export CC PKG_CONFIG
-
- use debug && append-flags "-D_DEBUG"
-}
-
-src_compile() {
- emake UTF8_SUPPORT=$(usex unicode)
-}
-
-src_install () {
- dobin multitail
-
- insinto /etc
- doins multitail.conf
-
- dodoc Changes readme.txt thanks.txt
- doman multitail.1
-
- dohtml manual.html
-
- docinto examples
- use examples && dodoc colors-example.{pl,sh} convert-{geoip,simple}.pl
-}
diff --git a/app-text/multitail/multitail-6.3.ebuild b/app-text/multitail/multitail-6.3.ebuild
deleted file mode 100644
index d3964c5..0000000
--- a/app-text/multitail/multitail-6.3.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit eutils flag-o-matic toolchain-funcs
-
-DESCRIPTION="Tail with multiple windows"
-HOMEPAGE="http://www.vanheusden.com/multitail/"
-SRC_URI="http://www.vanheusden.com/multitail/${P}.tgz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~hppa ~ia64 ~ppc ~sparc ~x86 ~x86-interix ~amd64-linux ~x86-linux"
-IUSE="debug examples unicode"
-
-RDEPEND="
- sys-libs/ncurses:0=[unicode?]
- "
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-RESTRICT="test" # bug #492270
-
-src_prepare() {
- epatch "${FILESDIR}"/${P}-as-needed.patch
-
- sed \
- -e '/gcc/d' \
- -e '/scan-build/d' \
- -e 's:make clean::g' \
- -e "/^DESTDIR/s:=.*$:=${EROOT}:g" \
- -i Makefile || die
-
- sed \
- -e "s:/usr/bin/xclip:${EPREFIX}/usr/bin/xclip:g" \
- -i xclip.c ${PN}.conf || die
-
- tc-export CC PKG_CONFIG
-
- use debug && append-flags "-D_DEBUG"
-}
-
-src_compile() {
- emake UTF8_SUPPORT=$(usex unicode)
-}
-
-src_install () {
- dobin multitail
-
- insinto /etc
- doins multitail.conf
-
- DOCS=( readme.txt thanks.txt )
- HTML_DOCS=( manual.html )
- einstalldocs
-
- doman multitail.1
-
- use examples && \
- docinto examples && \
- dodoc colors-example.{pl,sh} convert-{geoip,simple}.pl
-}
-
-pkg_postinst() {
- optfeature "send a buffer to the X clipboard" x11-misc/xclip
-}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2025-03-11 1:08 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-03-11 1:08 [gentoo-commits] repo/gentoo:master commit in: app-text/multitail/files/, app-text/multitail/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2022-11-22 7:05 Sam James
2015-09-24 11:50 Justin Lecher
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox